Categories:
  - Games
License: GPL-3.0-or-later
AuthorName: DeepDaikon
AuthorEmail: deepdaikon@tuta.io
WebSite: https://gitlab.com/DeepDaikon/Xeonjia
SourceCode: https://gitlab.com/DeepDaikon/Xeonjia/tree/HEAD
IssueTracker: https://gitlab.com/DeepDaikon/Xeonjia/issues
Translation: https://translate.deepdaikon.xyz/engage/xeonjia/
Changelog: https://gitlab.com/DeepDaikon/Xeonjia/tree/HEAD/CHANGELOG
Donate: https://deepdaikon.xyz/donate
Liberapay: deepdaikon

AutoName: Xeonjia

RepoType: git
Repo: https://gitlab.com/DeepDaikon/Xeonjia.git

Builds:
  - versionName: 1.1.0
    versionCode: 3
    commit: v1.1.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.12.13+hotfix.8
    rm:
      - ios
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.1.1
    versionCode: 4
    commit: v1.1.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.12.13+hotfix.8
    rm:
      - ios
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.2.0
    versionCode: 5
    commit: v1.2.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.12.13+hotfix.8
    rm:
      - ios
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.0
    versionCode: 6
    commit: v2.0.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@1.22.4
    rm:
      - ios
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.1
    versionCode: 7
    commit: v2.0.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@1.22.4
    rm:
      - ios
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.1.0
    versionCode: 8
    commit: v2.1.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.2.1
    rm:
      - ios
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.1.1
    versionCode: 9
    commit: ab4aa737e46dd6678304c59e5670ad8ecf45d87f
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.2.1
    rm:
      - ios
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 2.1.1
CurrentVersionCode: 9
